Subject: Re: [PATCH 1/1] ls-refs.c: minimize number of refs visited

From: Taylor Blau <[email-masked]>
Date: Tue, 19 Jan 2021 18:02:48 -0500

On Tue, Jan 19, 2021 at 05:59:34PM -0500, Jeff King wrote:
> Actually, I am not sure that we would look for "refs/tags/" in that case
> (I did a quick test and we do not seem to). Which makes sense, as it is
> cheaper to find the "a" and "b" hierarchies separately if there is a
> very big "refs/tags/c" hierarchy.

Ah, makes sense. Thanks for double checking.

> But I agree that this is a good reason that callers should consider it
> as an optimization which could return more results than expected.

Yep. Even though I couldn't quite remember when the algorithm would
split without looking more closely, I made sure to document that it
iterates *all* references that are descendent of the LCP of its
arguments.

> -Peff

Thanks,
Taylor